# Android tool for Mac

## Download
**[Download the latest version here](https://github.com/mortenjust/androidtool-mac/releases/)**

* Copy AndroidTool.app to your Applications folder
* Right click AndroidTool and choose Open

To install using [homebrew-cask](http://caskroom.io/), run `brew cask install androidtool` in the terminal.

## What's this? 
<img src="https://raw.githubusercontent.com/mortenjust/androidtool-mac/master/Demos/plugging%20in.gif" width=300>

Android tool lets you do common Android designer and developer tasks in one click:
* Take screenshots
* Take screen videos
* Install (sideload) APKs without the Play Store
* Take bug reports
* Use common scripts
* Do all of the above on all devices connected to your Mac, in one click

## Recording video
<img src="https://raw.githubusercontent.com/mortenjust/androidtool-mac/master/Demos/phonerecording.gif" width=300>

# Requirements
* MacOS 10.9 Mavericks for Android features
* MacOS 10.10 Yosemite for iOS features
* Android 4.4 or newer for screen recording
* Android 4.3 or newer for screenshots (could work on older devices, please report)
* No Android or iOS SDK required (whaat)

Android Tool outputs both mp4 and an animated gif. The animated gif can be placed in a Google Docs document or an email. 

## Installing apps
<img src="https://raw.githubusercontent.com/mortenjust/androidtool-mac/master/Demos/installapk.gif" width=300>

Double click any APK file on your hard drive and Android Tool pops up asking you onto which device you want to install it. 

## Plain old screenshots
<img src="https://raw.githubusercontent.com/mortenjust/androidtool-mac/master/Demos/dualscreenshot.gif" width=300>

Take screenshots of one or all devices connected to your mac - in one click, or by pressing cmd-shift-S

## Your own scripts
<img src="https://raw.githubusercontent.com/mortenjust/androidtool-mac/master/Demos/scriptsfolder.gif" width=300>

Add your own perfect bash shell scripts to the scripts folder and execute them on a single device, or all devices connected to your Mac. See the example script in the scripts folder how to target a the user-selected device. 

## Questions?
* Check <a href="https://github.com/mortenjust/androidtool-mac/wiki/FAQ">the FAQ</a> or open an issue 
* <a href="http://twitter.com/mortenjust">Follow me on Twitter</a> or check <a href="http://mortenjust.com">my blog</a> for updates

## Thanks

### Farhad Khairzad
For the OBB installer script

### FFmpeg
This software uses code of <a href=http://ffmpeg.org>FFmpeg</a> licensed under the <a href=http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html>LGPLv2.1</a> and its source can be downloaded <a href=https://github.com/FFmpeg/FFmpeg>here</a>

### ImageMagick
   Licensed under the ImageMagick License (the "License"); you may not use
   this file except in compliance with the License.  You may obtain a copy
   of the License at

     http://www.imagemagick.org/script/license.php

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
   WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
   License for the specific language governing permissions and limitations
   under the License.
